Bug 163576 - Annotations class should be more thread safe
Annotations class should be more thread safe
Status: RESOLVED WONTFIX
Product: editor
Classification: Unclassified
Component: Hints & Annotations
6.x
All All
: P3 (vote)
: 7.3
Assigned To: Jan Lahoda
issues@editor
721-reviewed
: THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-24 11:59 UTC by Sergey Petrov
Modified: 2012-10-19 11:17 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Petrov 2009-04-24 11:59:30 UTC
for example see issue 161790 where between two calls annotations are changed and it was the reason for null pointer,
similar effect may be inside unsynchronized method like getPasiveAnnotations where initially annotations cound is
verified and later annotations list is created and returned. if any other thread change annotations between getCount()
and getPassive() it may cause for example index out of bounds in later logic or creation of return array with -1 size or
just incorrect/unexpected results.
Comment 1 Marian Mirilovic 2012-10-18 14:36:26 UTC
We haven't fixed it yet, so I do not expect we will do so in next two releases.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo